Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

Update the value of a setting

Request

Security
Bearer
Bodyapplication/json
categoryIdstring or null

The category id of the setting

settingIdstring or null

The id of the setting

valuestring or null

The value the setting should be set to

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "categoryId": "string",
    "settingId": "string",
    "value": "string"
  }'

Responses

The update of setting was successful

Response
No content

Get the software specific settings

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/settings/software-settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The software settings

Bodyapplication/json
hideKeyboardboolean

Hide or make the onscreen keyboard visible

generateRunReportboolean

Whether or not a run report should be generated at the end of running a protocol

allowRedWarningOverrideboolean

Whether or not errors during the camera verification of a protocol can be overrided

defaultAmbientTemperatureinteger(int32)

The default ambient temperature (used for heat operations)

Response
application/json
{ "hideKeyboard": true, "generateRunReport": true, "allowRedWarningOverride": true, "defaultAmbientTemperature": 0 }

Update the software specific settings

Request

Security
Bearer
Body
hideKeyboardboolean

Hide or make the onscreen keyboard visible

generateRunReportboolean

Whether or not a run report should be generated at the end of running a protocol

allowRedWarningOverrideboolean

Whether or not errors during the camera verification of a protocol can be overrided

defaultAmbientTemperatureinteger(int32)

The default ambient temperature (used for heat operations)

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/settings/software-settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "hideKeyboard": true,
    "generateRunReport": true,
    "allowRedWarningOverride": true,
    "defaultAmbientTemperature": 0
  }'

Responses

The software settings were updated successfully

Response
No content

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations